CC	= g++
LD	= $(CC)

SRC	= $(wildcard *.cpp)
OBJS	= $(SRC:.cpp=.o)

%.o: %.cpp
	$(CC) -c -pthread -o $@ $<

capture_v4l2: $(OBJS)
	$(LD) -pthread -o $@ $(OBJS)

lib: v4l2_obj.o
	ar rcs libv4l2_capture.a v4l2_obj.o

install: lib
	mkdir -p /usr/local/include/v4l2_capture
	cp v4l2_obj.h atomisp.h /usr/local/include/v4l2_capture

	cp libv4l2_capture.a /usr/local/lib

clean:
	rm -rf $(OBJS) capture_v4l2
